local table = require( 'table' )
local os = require( 'os' )

local srcdir = os.getenv('srcdir') or '.'

local ea_db = table.concat( { srcdir, 'data', 'annulus.rdb'}, '/' )

require( 'saotrace.raygen.mock_intrinsics' )
local ea = require( 'saotrace.raygen.ea.create_from_db' )

describe( "create entrance aperture from a db", function ()

             it( "simple test for no thrown errros", function ()
                    assert.has_no.errors( ea.entrance_aperture,
                                          {
                                             shell = 2,
                                             file = ea_db
                                          }
                    )
             end)

end)



